Updated Google Base Module to v0.5

Google Base Module Update

I've just recently updated the original Google Base module (to v0.5) with a few enhancements that should hopefully help those who may have had issues with the previous version.

Please note that due to changes in PrestShop core classes that this module will not work with the latest 1.2beta3 version In order for this module to work with the 1.2beta3 version you must use the corresponding beta version which will also be available from the module page Google Base Module.